<?php

namespace FiloBlu\Cegid\Helper\Cegid;
use Magento\Framework\App\Helper\AbstractHelper;
use \Magento\Framework\App\Config\ScopeConfigInterface;

/**
 * Class Customer
 * @package FiloBlu\Cegid\Helper\Cegid
 */
class Base extends AbstractHelper
{

    /**
     * @param \Magento\Framework\App\Helper\Context $context
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context
    ) {
        parent::__construct($context);
    }


    public function getAddressStreet($address,$index = null){
        $street_data = $address->getStreet();

        // If $street_data is a string
        if(is_string($street_data)){
            if ($index === null || $index == 1){
                return $street_data;
            } else {
                return "";
            }
        }

        // If $street_data is array
        if (is_array($street_data)){
            $result = array();
            $result[1] = (isset($street_data[0]) ? $street_data[0] : "");
            $result[2] = (isset($street_data[1]) ? $street_data[1] : "");
            $result[3] = (isset($street_data[2]) ? $street_data[2] : "");
            $return = ($index > 0 && isset($result[$index]) ? $result[$index] : "");
            return $return;
        }

        // Not array and not string
        return "";
    }

    // This function will work to retrieve custom customer attributes under Magento 2.2.x and 2.3.x
    public function getCompatibleCustomerCustomAttribute($customer,$custom_attribute_code){
        // This is for Magento 2.2.x
        $attribute_value = $customer->getCustomAttribute($custom_attribute_code);
        // Fix for Magento 2.3.x
        if (!is_string($attribute_value) && $attribute_value != null){
            $attribute_value = $customer->getCustomAttribute($custom_attribute_code)->getValue();
        }
        return $attribute_value;
    }
}