<?php
/**
 * A Magento 2 module named FiloBlu/Cegid
 * Copyright (C) 2019  2019
 *
 * This file is part of FiloBlu/Cegid.
 *
 * FiloBlu/Cegid is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

namespace FiloBlu\Cegid\Model\Data;

use FiloBlu\Cegid\Api\Data\CegidExtensionInterface;
use FiloBlu\Cegid\Api\Data\CegidInterface;
use Magento\Framework\Api\AbstractExtensibleObject;

/**
 * Class Cegid
 * @package FiloBlu\Cegid\Model\Data
 */
class Cegid extends AbstractExtensibleObject implements CegidInterface
{

    /**
     * Get cegid_id
     * @return string|null
     */
    public function getCegidId()
    {
        return $this->_get(self::CEGID_ID);
    }

    /**
     * Set cegid_id
     * @param string $cegidId
     * @return CegidInterface
     */
    public function setCegidId($cegidId)
    {
        return $this->setData(self::CEGID_ID, $cegidId);
    }

    /**
     * Get grid
     * @return string|null
     */
    public function getGrid()
    {
        return $this->_get(self::GRID);
    }

    /**
     * Set grid
     * @param string $grid
     * @return CegidInterface
     */
    public function setGrid($grid)
    {
        return $this->setData(self::GRID, $grid);
    }

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return CegidExtensionInterface|null
     */
    public function getExtensionAttributes()
    {
        return $this->_getExtensionAttributes();
    }

    /**
     * Set an extension attributes object.
     * @param CegidExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        CegidExtensionInterface $extensionAttributes
    )
    {
        return $this->_setExtensionAttributes($extensionAttributes);
    }
}
